﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Responsive menu</title>
	<link rel="stylesheet" type="text/css" href="styles.css" class="append" />
</head>
<body>
<form id="form1" runat="server">


	<asp:ScriptManager runat="server" />
	<%--<telerik:RadScriptManager runat="server" />--%>
	<%--<debug:DebugScriptManager runat="server" StartPath="http://zhekov/webui-dev/" />--%>


	<telerik:RadSkinManager runat="server" Skin="Default" />
	<%--<telerik:RadFormDecorator runat="server" DecoratedControls="All" EnableRoundedCorners="true" />--%>


	<div class="container">
		<button class="toggle" type="button">Toggle menu</button>
		<div class="popup">
			<telerik:RadMenu runat="server" RenderMode="Lightweight">
				<Items>
					<telerik:RadMenuItem Text="File">
						<Items>
							<telerik:RadMenuItem Text="New" />
							<telerik:RadMenuItem Text="Open" />
							<telerik:RadMenuItem IsSeparator="True" />
							<telerik:RadMenuItem Text="Save" />
							<telerik:RadMenuItem Text="Save As" />
							<telerik:RadMenuItem IsSeparator="True" />
							<telerik:RadMenuItem Text="Print Preview" />
							<telerik:RadMenuItem Text="Print" />
							<telerik:RadMenuItem IsSeparator="True" />
							<telerik:RadMenuItem Text="Close" />
						</Items>
					</telerik:RadMenuItem>
					<telerik:RadMenuItem Text="Edit">
						<Items>
							<telerik:RadMenuItem Text="Undo" />
							<telerik:RadMenuItem IsSeparator="True" />
							<telerik:RadMenuItem Text="Cut" />
							<telerik:RadMenuItem Text="Copy" />
							<telerik:RadMenuItem Text="Paste" />
							<telerik:RadMenuItem Text="Clipboard..." />
							<telerik:RadMenuItem IsSeparator="True" />
						</Items>
					</telerik:RadMenuItem>
					<telerik:RadMenuItem Text="Insert">
						<Items>
							<telerik:RadMenuItem Text="Break..." />
							<telerik:RadMenuItem Text="Page Numbers..." />
							<telerik:RadMenuItem Text="Date and Time..." />
							<telerik:RadMenuItem Text="Field..." />
							<telerik:RadMenuItem Text="Symbol..." />
							<telerik:RadMenuItem Text="Comment" />
							<telerik:RadMenuItem IsSeparator="True" />
							<telerik:RadMenuItem Text="Picture" />
							<telerik:RadMenuItem Text="Diagram" />
							<telerik:RadMenuItem Text="Text Box" />
							<telerik:RadMenuItem Text="Hyperlink" />
						</Items>
					</telerik:RadMenuItem>
					<telerik:RadMenuItem Text="Format">
						<Items>
							<telerik:RadMenuItem Text="Font">
								<Items>
									<telerik:RadMenuItem Text="Arial" />
									<telerik:RadMenuItem Text="Verdana" />
									<telerik:RadMenuItem Text="Tahoma" />
									<telerik:RadMenuItem Text="Sans-serif" />
									<telerik:RadMenuItem IsSeparator="true" />
									<telerik:RadMenuItem Text="Arial" />
									<telerik:RadMenuItem Text="Arial Black" />
									<telerik:RadMenuItem Text="Arial Narrow" />
									<telerik:RadMenuItem Text="Arial Unicode MS" />
									<telerik:RadMenuItem Text="Bookman Old Style" />
									<telerik:RadMenuItem Text="Bookshelf Symbol 7" />
									<telerik:RadMenuItem Text="Century" />
									<telerik:RadMenuItem Text="Century Gothic" />
									<telerik:RadMenuItem Text="Comic Sans MS" />
									<telerik:RadMenuItem Text="Courier New" />
									<telerik:RadMenuItem Text="Garamond" />
									<telerik:RadMenuItem Text="Georgia" />
									<telerik:RadMenuItem Text="Goudy Old Style" />
									<telerik:RadMenuItem Text="Goudy Stout" />
									<telerik:RadMenuItem Text="Haettenschweiler" />
									<telerik:RadMenuItem Text="Helvetica" />
									<telerik:RadMenuItem Text="Impact" />
									<telerik:RadMenuItem Text="Imprint MT Shadow" />
									<telerik:RadMenuItem Text="Latha" />
									<telerik:RadMenuItem Text="Lucida Console" />
									<telerik:RadMenuItem Text="Lucida Sans" />
									<telerik:RadMenuItem Text="Lucida Sans Typewriter" />
									<telerik:RadMenuItem Text="Lucida Sans Unicode" />
								</Items>
							</telerik:RadMenuItem>
							<telerik:RadMenuItem Text="Paragraph..." />
							<telerik:RadMenuItem Text="Bullets and Numbering..." />
							<telerik:RadMenuItem Text="Borders and Shading..." />
							<telerik:RadMenuItem IsSeparator="true" />
							<telerik:RadMenuItem Text="Columns" />
							<telerik:RadMenuItem Text="Tabs" />
							<telerik:RadMenuItem Text="Change Case" />
							<telerik:RadMenuItem IsSeparator="true" />
							<telerik:RadMenuItem Text="Theme" />
							<telerik:RadMenuItem Text="Frames" />
							<telerik:RadMenuItem Text="Autoformat" />
						</Items>
					</telerik:RadMenuItem>
					<telerik:RadMenuItem Text="View">
						<Items>
							<telerik:RadMenuItem Text="Normal" />
							<telerik:RadMenuItem Text="Web Layout" />
							<telerik:RadMenuItem Text="Print Layout" />
							<telerik:RadMenuItem IsSeparator="True" />
							<telerik:RadMenuItem Text="Task Pane" />
						</Items>
					</telerik:RadMenuItem>
					<telerik:RadMenuItem Text="Tools">
						<Items>
							<telerik:RadMenuItem Text="Spelling And Grammar..." />
							<telerik:RadMenuItem Text="Research..." />
							<telerik:RadMenuItem Text="Language" />
							<telerik:RadMenuItem Text="Word Count..." />
							<telerik:RadMenuItem IsSeparator="True" />
							<telerik:RadMenuItem Text="Track Changes" />
							<telerik:RadMenuItem Text="Compare And Merge Documents.." />
						</Items>
					</telerik:RadMenuItem>
				</Items>
			</telerik:RadMenu>
		</div>
	</div>

	<div id="mqTest">Test not performed yet</div>


	<script type="text/javascript">
	Sys.Application.add_load(function() {

		var $ = $telerik.$,
			mqTest = document.getElementById("mqTest");

		$("link.append").appendTo("head");

		$(".toggle").bind("click", function() {
			$(".popup").toggle();
		});

		var mq = window.matchMedia("(max-width: 360px)");
		mq.addListener(handleWidthChange);

		function handleWidthChange( mq ) {
			if ( mq.matches ) {
				mqTest.innerHTML = "Max width is 360px. Entering media query";
				mqTest.style.border = "1px solid green";
				$(".popup").hide();
			}
			else {
				mqTest.innerHTML = "Max width is more than 360px. Exiting media query";
				mqTest.style.border = "1px solid red";
				$(".popup").show();
			}
		}
		handleWidthChange( mq );
	});
	</script>


</form>
</body>
</html>